@charset 'utf-8';
img{
    max-width: 100%;
    height: auto;
}
.center{
    text-align: center;
}
.right{
    text-align: right;
}

.ff-zen{
    font-family: "Zen Kaku Gothic New", sans-serif;
    font-weight: 500;
}
a img{
    transition: 0.3s;
}
a:hover img{
    opacity: 0.7;
}

/* weight */
.fw-semibold{
    font-weight: 600;
}
.fw-bold{
    font-weight: 700;
}

/* fontsize */
.fs12{
    font-size: 12px;
}
.fs13{
    font-size: 13px;
}
.fs14{
    font-size: 14px;
}
.fs15{
    font-size: 15px;
}
.fs16{
    font-size: 16px;
}
.fs20{
    font-size: 20px;
}

/* margin */
.mb8{
    margin-bottom: 8px;
}
.mb10{
    margin-bottom: 10px;
}
.mb14{
    margin-bottom: 14px;
}
.mb24{
    margin-bottom: 24px;
}
.mb32{
    margin-bottom: 32px;
}
.mb40{
    margin-bottom: 40px;
}
.mb48{
    margin-bottom: 48px;
}
.mb64{
    margin-bottom: 64px;
}

body{
    display: flex;
    background: #DDEDFA;
    background: linear-gradient(180deg,rgba(221, 237, 250, 1) 0%, rgba(89, 165, 229, 1) 100%);
    padding-top: 48px;
    padding-bottom: 48px;
}

/* ======== nav,aside ========= */
aside,
nav{
    width: calc((100% - 640px)/2);
    box-sizing: border-box;
    padding: 0 32px;
}
.nav_wrapper{
    max-width: 264px;
    margin: auto;
    position: sticky;
    top: 48px;
    left: 0;
}
.nav_wrapper h1{
    background: #fff;
    border-radius: 8px;
    padding: 20px;
}
.nav_btn li{
    position: relative;
}
.nav_btn li:before{
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 7px;
    left: 0;
    border-radius: 50px;
    background: url(../img/nav_btn_bg.png)no-repeat center bottom;
    background-size: cover;
}
.nav_btn a{
    background: url(../img/arrow_nav.png)no-repeat center left 20px #fff;
    background-size: 16px;
    display: block;
    line-height: 1.4;
    padding: 17px 20px 18px;
    text-decoration: none;
    border-radius: 50px;
    border: 1px solid #00429E;
    position: relative;
    transition: 0.3s;
}
@media screen and (max-width: 1280px) {
    .nav_btn a{
        padding: 17px 0 18px 20px;
        font-size: 14px;
    }
}
.nav_btn a:hover{
    background-color: #00429E;
    color: #fff;
    border-color: #fff;
}
.copyright,
.copyright small{
    line-height: 1.6;
}
.aside_wrapper{
    max-width: 264px;
    margin: auto;
    height: calc(100vh - 96px);
    position: sticky;
    top: 48px;
    left: 0;
}
.recruit_bn img{
    border-radius: 8px;
}
.company{
    padding: 16px;
    border-radius: 8px;
    background: #fff;
}
.company p{
    line-height: 1.8;
}
.company a{
    transition: 0.3s;
}
.company a:hover{
    color: #00429E;
}

/* ======== main ========= */
main{
    width: 640px;
    background: #fff;
}
.box{
    padding: 40px 32px;
}
.box:nth-of-type(2n){
    background: #F8F8F8;
}

.box_img img{
    border-radius: 8px;
}

.inherit_text p,
.logo_text p{
    line-height: 2.2em;
}

.history_img{
    position: relative;
}
.history_img img{
    border-radius: 8px 8px 0 0;
}
.history_year{
    border-radius: 50px;
    background: #3F72C9;
    color: #fff;
    line-height: 24px;
    padding: 0 18px;
    width: fit-content;
}
.history_text,
.history_topics{
    border-radius: 0 0 8px 8px;
    padding: 24px;
    background: #fff;
    position: relative;
}
.history_text:has(+ .history_topics){
    border-radius: 0;
}
.history_topics:before{
    content: "";
    width: 100%;
    height: 1px;
    background-image: repeating-linear-gradient(90deg, #111, #111 2px, transparent 2px, transparent 6px);
    background-position: left top;
    background-repeat: repeat-x;
    background-size: 100% 1px;
    position: absolute;
    top: 0;
    left: 0;
}

.f_logo{
    padding: 0 32px 48px;
}

@media screen and (min-width: 821px) {
    .sp{
        display: none !important;
    }
    html{
        min-width: 1200px;
    }
}

@media screen and (max-width: 820px) {
    .pc{
        display: none !important;
    }

    body{
        display: block;
        padding-top: 100px;
        padding-bottom: 0;
    }
    body.scrolled{
        padding-top: 65px;
        transition: 0.3s;
    }
    html, body{
        font-size: 14px;
    }

    /* fontsize */
    .fs13{
        font-size: 12px;
    }
    .fs14{
        font-size: 13px;
    }
    .fs15,
    .fs16{
        font-size: 14px;
    }
    .fs20{
        font-size: 16px;
    }
    
    /* margin */
    .mb8{
        margin-bottom: 8px;
    }
    .mb10{
        margin-bottom: 10px;
    }
    .mb14{
        margin-bottom: 12px;
    }
    .mb24{
        margin-bottom: 16px;
    }
    .mb32{
        margin-bottom: 24px;
    }
    .mb40{
        margin-bottom: 28px;
    }
    .mb64{
        margin-bottom: 48px;
    }

    /* ======== nav,aside ========= */
    nav{
        width: 100%;
        box-sizing: border-box;
        padding: 8px 0 12px;
        background: #fff;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 999;
    }
    body.scrolled nav{
        padding: 5px 0 8px;
    }
    .nav_wrapper{
        max-width: unset;
        position: unset;
    }
    .nav_wrapper h1{
        padding: 0;
        margin-bottom: 0;
    }
    .nav_wrapper h1 img{
        height: 80px;
        width: auto;
        transition: 0.3s;
    }
    body.scrolled .nav_wrapper h1 img{
        height: 52px;
    }
    aside{
        width: 100%;
        padding: 24px;
    }
    .aside_wrapper{
        max-width: 100%;
        height: 100%;
        position: static;
        top: unset;
    }
    .recruit_bn img{
        border-radius: 8px;
    }
    .company{
        padding: 16px;
        border-radius: 8px;
        background: #fff;
    }
    .company p{
        line-height: 1.8;
    }
    .company a{
        transition: 0.3s;
    }
    .company a:hover{
        color: #00429E;
    }
    .copyright{
        margin-top: 32px;
    }

    /* ======== main ========= */
    main{
        width: 100%;
        padding: 0;
        overflow-x: hidden;
    }
    .box{
        padding: 32px 24px;
    }
    .box_title_ico img{
        height: 42px;
        width: auto;
    }
    .box_title_img img{
        height: 24px;
        width: auto;
    }
    .box_img img{
        border-radius: 6px;
    }
    
    .history_img img{
        border-radius: 6px 6px 0 0;
    }
    .history_year{
        line-height: 22px;
        padding: 0 12px 1px;
        font-size: 12px;
    }
    .history_year span{
        font-size: 10px;
    }
    .history_text{
        border-radius: 0 0 6px 6px;
        padding: 24px;
    }
    
    .f_logo{
        padding: 0 24px 32px;
    }
}




@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
.animation-fadeIn{
    opacity: 0;
}
.animation-fadeIn.show{
    animation: fadeIn 0.5s 0s ease-in-out forwards;
}
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
.animation-fadeInUp{
    opacity: 0;
    transform: translateY(20px);
}
.animation-fadeInUp.show{
    animation: fadeInUp 0.5s 0s ease-in-out forwards;
}
@keyframes fadeInDown {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes fadeInLeft {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}
.animation-fadeInLeft{
    opacity: 0;
    transform: translateX(-20px);
}
.animation-fadeInLeft.show{
    animation: fadeInLeft 0.5s 0s ease-in-out forwards;
}